<?php
/**
 * Copyright (C) 2004-2021 "Setevye informacionnye sistemy", Ltd (Russia)
 *                          en: "Network Information Systems"
 */
/**
 * @file admin/bugreport.php
 * @brief Страница правил и рекомендуемых последовательностей действий для сообщения об ошибке
 */
$USE_JQUERY=true;
require('../head.inc.php');
?>

<h1>
    <?php echo printf($r_bugs, $named, $sip); ?>
</h1>

<div class="warn"><?php echo $bugs_rules; ?></div>
<br>

<form id="form"
    action="<?php echo $conf['prefix']; ?>/admin/getlogs.php"
    method="GET"
    enctype="application/x-www-form-urlencoded">
    <span><?php echo $sMaxTailNum; ?></span>
    <select name="howmatch" size="1">
        <option value="1000">1000</option>
        <option value="3000" selected>3000</option>
        <option value="5000">5000</option>
        <option value="10000">10000</option>
    </select>
    <br><br>
    <input type="submit" id="btSubmit" name="getlog" value="<?php echo $strGetLogs; ?>">
</form>

<script type="text/javascript">
    $(document).ready(function() {
        $('#form').on('submit', function() {
            $('#btSubmit')
                .val(" <?php echo $sWaitLogsDownload; ?> ")
                .prop('disabled', true);
            return true;
        });
    });
</script>

<?php
require('../foot.inc.php');
