<?php
/**
 * Copyright (C) 2004-2021 "Setevye informacionnye sistemy", Ltd (Russia)
 *                          en: "Network Information Systems"
 */
/**
 * @file lang/russian/utf-8/_admin_bugreport.php
 * @brief Файл переводов для страницы admin/bugreport.php
 */
/* BUG START ******************************/
$r_bugs = 'Сообщить о ошибках/проблемах в программе для ЭВМ AVReg<br />
на видеосервере &#171;%s&#187; [%s].';

$bugs_rules = <<<EOD
Правила и рекомендуемая последовательность действий:
<ol>
<li><a href="http://avreg.net/manual_applications_upgrade-purge.html" target="_blank">
Обновите программу до последнего состояния</a> текущей версии версии (6.х, 7.x и т.п).</li>
<li>Если ошибка наблюдается в веб-браузере, очистите историю браузера (кэш).</li>
<li>Воспроизведите ошибку или проблему снова.</li>
<li>Получите архив с лог-файлами и настройками AVReg (кнопка ниже) как можно скорее с момента возникновения ошибки или проблемы.</li>
<li>Отправьте полученный архив лог-файлов с указанием номера камеры, описанием ошибки и времени её возникновения на
e-mail <a href="mailto:support@avreg.net?subject=bugreport" title="AVReg bug report">support@avreg.net</a></li>
<li>Дополнительно, приложите к письму скриншот окна веб-браузера, если ошибка наблюдается при работе с ним.</li>
</ol>
EOD;

$sMaxTailNum = 'Количество последних строк в &#171;' . $conf['daemon-log'] . '&#187';
$sWaitLogsDownload = 'Ждите начала загрузки файла ...';
$strGetLogs = 'Скачать лог-файлы';
/******************************** BUG END */
