<?php
/**
 * Copyright (C) 2004-2021 "Setevye informacionnye sistemy", Ltd (Russia)
 *                          en: "Network Information Systems"
 */
/**
 * @file lang/russian/utf-8/_admin_users.php
 * @brief Файл переводов для страниц
 * - admin/user-addnew.php
 * - admin/user-list.php
 * - admin/user-tune.php
 * - admin/user-passwd.php
 */
/* USERS START ******************************/
$r_users = 'Настройка доступа <span class="HiLite">к веб-интерфейсу (http://...)</span> ' .
    'видеосервера &#171;%s&#187; [%s]';
$r_user_groups = 'Группы пользователей.';
$str_groups = 'Группа';
$strNotUserDef = 'Нет ни одного пользователя в данной группе.';
$r_user_add = 'Добавление нового пользователя.';
$strUp = 'наверх к списку';
$strPassword2 = 'Пароль (ещё раз)';
$strAllowHost = 'Допустимые <b>IP-адреса</b> пользователького хоста.<br />
Установите _одно_ из нижеследующих значений:' .
    '<ul>
    <li>одиночный адрес:
    <ul>
    <li>&#171;<b>localhost</b>&#187; или  127.0.0.1 - локально, непосредственно с самого сервера;</li>
    <li>&#171;<b>X.X.X.X</b>&#187;, например: 192.168.1.45;</li>
    </ul>
    </li>
    <li>диапазон адресов:
    <ul>
    <li>&#171;<b>X.X.X.X/Y.Y.Y.Y</b>&#187;, например 192.168.1.0/255.255.255.0;</li>
    <li>&#171;<b>X.X.X.X/M</b>&#187;, например 192.168.1.0/24 (то же что и выше, но другая форма записи);</li>
    <li>&#171;<b>ANY</b>&#187; - с любого хоста;</li>
    </ul>
    </li>
    </ul>';
$strName1 = '<b>Логин</b> - короткое имя пользователя (4-16 знаков).<br />Только _LATINSKIE_ символы из набора
 [A-Za-z0-9-_]';
$strPasswordAllowed = 'Либо пустой (без пароля), либо до 16 знаков из набора [A-Za-z0-9-_]';
$str_group1 = '<b>Группа</b> пользователя.<br />Определяет его права и возможности.';
$str_GuestMode = '<b>Гостевой режим пользователя без аутентификации по ссылке http://server/avreg/?user=этот_логин  .</b>
<br />При включении гостевого режима, <b>пароль</b> этого пользователя <b>должен быть сброшен (быть пустым)</b>.';
$str_PDAversion = '<b>PDA версия.</b> <br />Предоставляет доступ к PDA версии.';

$fmtEmptyF = 'Ошибка: не заполнено поле &#171;%s&#187; или содержит недопустимые символы.';
$strDeviceACL = '<b>Доступные камеры (DeviceACL).</b><br/>
Список камер, с которыми разрешено работать пользователю.<br/>Допустимо указание номеров камер и диапазонов,
 разделённых запятыми. Например: 5,7,10-15,18<br />
Если список не определён <b>(пустое поле) - разрешены всё камеры.</b>';

$strAllowedWEBLayouts = '<b>Доступные раскладки для WEB просмотра.</b><br/>
Список раскладок, с которыми разрешено работать пользователю.<br/>Допустимо указание идентификационных номеров
 раскладок разделённых запятыми. Первая указанная раскладка устанавливается по умолчанию.  Например: 5,7,3,5 <br />
Если список не определён <b>(пустое поле) - разрешены всё раскладки.</b>';
// и диапазонов(разделённых тире)

$strForcedSavingLimit = '<b>Максимальная длительность принудительной записи (по команде) в минутах</b> для
 пользователей, исключая группу &#171;Только просмотр&#187;. Действует совместно с параметром
 <b>forced_saving_limit</b> в настройках камер (читайте подробнее описание параметра - раздел &#171;Запись&#187;,
 показывать все параметры). Допустимые значения: 0 - не ограничивать или [1..4320] минут, по умолчанию: &quot;<b>0 -
 используется только ограничение в настройках камеры.</b>&quot;.';

$sEmptyDef = '<br/>&quot;0&quot; или &#171;пусто&#187; в значении параметра (это значение действует и по-умолчанию) -
 не использовать это ограничение.';

$SessionsPerUserInfo = '<strong>Ограничение количества одновременных http (MJPEG,HLS) просмотров камер (суммарно)</strong> этим
 пользователем. Действует совместно с ограничением для всех пользователей, см.
 описание параметра &#171;wc_max_conn_per_cam&#187; в настройках камеры.' . $sEmptyDef;

$strRateLimitsInfo = '<strong>Ограничение скорости транслируемого http MJPEG видеопотока для каждой камеры</strong>
 (не общее для всех камер).
 Будет использовано самое минимальное значение из &#171;<strong>limit_fps</strong>&#187;
 <!--, &#171;<strong>limit_kbps</strong>&#187; --> и &#171;<strong>wc_maxrate</strong>&#187;
 (см. настройки камеры).<br /><br />
Параметр &#171;<strong>nonmotion_fps</strong>&#187; предназначен <em>для снижения сетевого трафика
 (сервер -&gt; клиенты) в периоды отсутствия &quot;движения&quot;</em> на данной камере. Он ограничивает скорость
 потока &quot;спокойных&quot; кадров в отсутствии движения до установленного вами значения, естественно, только при
 включенном детекторе движения.<br>' . $sEmptyDef;
$strLimitFps = '<strong>limit_fps</strong>, кадров в секунду, [1-25] или sec/frames';
$strLimitKbps = '<strong>limit_kbps</strong>, Kбит/сек';
$sNonMotionFps = '<strong>nonmotion_fps</strong>,
<br>примеры допустимых значений: &quot;1&quot; - 1 кадр в 1 сек.; &quot;2/1&quot;
- 1 кадр каждые 2 секунды.';
$sSessionLimitsInfo = '<strong>Ограничения длительности одного непрерывного MJPEG или HLS сеанса просмотра камеры в
 реальном времени</strong>.<br>
<em>Ограничения действуют на уровне каждой конкретной камеры</em>, т.е. <u>не</u> общее для всех просматриваемых
 одновременно камер и <u>не</u> общее для всех сеансов пользователя, если таких сеансов несколько.<br>
Эти <em>ограничения не предотвратят повторный просмотр</em> (например, по повторному нажатию Play на видео или &quot;Обновить&quot; в браузерах) после
 прерывания видеопотоков. Примечание: одноимённые параметры есть в настройках камеры.<br>' . $sEmptyDef;
$sSessionTime = '<strong>session_time</strong> - по времени, в минутах';
$sSessionVolume = '<strong>session_volume</strong> - по &quot;закаченному&quot; объёму,
 в Мбайт (x10<sup>6</sup>)';

$strPassNotPass2 = 'Ошибка: не совпадают пароли.';
$fmtPasswdBadChar = 'Ошибка: пароль содержит недопустимые символы.<br>Можно ввести от 0 до 16 латинских букв или цифр.';
$strAddUserErr1 = 'Устраните ошибки и повторите заново.';
$fmtDuplicateUserHost = 'Ошибка! Повтор или пересечение сочетания Логин@Хост
 &#171;%s@%s&#187;<br />с пользователем &#171;%s@%s&#187; (%s).';
$fmtUserAdded = 'Пользователь &#171;%s&#187; добавлен для работы с хоста &#171;%s&#187;.';
$fmtUserAddErr2 = 'Ошибка: При добавлении пользователя &#171;%s&#187; с хоста &#171;%s&#187;,<br>' .
    'SQL-сервер базы данных вернул ошибку: %s<br>' .
    'Проверьте заполняемые данные.<br>' .
    'Наиболее часто происхоит когда сочетание ИМЯ и ХОСТ уже есть в базе данных.';
$fmtDeleteUserConfirm = 'Вы уверены что хотите удалить пользователя &#171;%s&#187; с хоста &#171;%s&#187;
 из группы &#171;%s&#187;?' . "\n";
$fmtDeleteUser = 'Удалён пользователь&#171;%s&#187; с хоста &#171;%s&#187;.' . "\n";

$fmtUserTune = 'Редактирование пользователя &#171;<font color="red">%s</font>&#187;  с хоста
 &#171;<font color="red">%s</font>&#187;.';
$fmtUserUpdated = 'Данные успешно изменены для пользователя &#171;%s&#187; с хоста &#171;%s&#187;.';
$fmtUserUpdated2 = 'Ошибка: При изменении данных пользователя &#171;%s&#187; с хоста &#171;%s&#187;,<br>SQL-сервер
 базы данных вернул ошибку: %s';

$FIO = 'ФИО';
$strNew = 'Новый';
$strOld = 'Старый';

$fmtUserPasswd = 'Изменить пароль пользователя &#171;<font color="red">%s</font>&#187; с хоста
 &#171;<font color="red">%s</font>&#187;<br>ФИО: &#171;%s&#187;.';
$fmtPasswdUpdated = 'Пароль пользователя &#171;%s&#187; с хоста &#171;%s&#187; успешно изменён.';
$fmtPasswdUpdated2 = 'Ошибка: не подтверждён действующий (старый) пароль пользователя &#171;%s&#187;
 с хоста &#171;%s&#187;.';

$strOnUsersUpdateMsg = '<b>По окончании</b> добавления новых или изменения/удаления данных существующих пользователей,
 необходимо перезапустить (командой restart) демон avregd. Если этого не сделать, возможно, такие пользователи
 не смогут (а удалённые пользователи наоборот смогут) просматривать видео в реальном времени через веб-интерфейс.';

/******************************** USERS END */
