/**
 * Copyright (C) 2004-2021 "Setevye informacionnye sistemy", Ltd (Russia)
 *                          en: "Network Information Systems"
 */
(function(root,factory){if(typeof define==='function'&&define.amd){define([],factory(root));}else if(typeof exports==='object'){module.exports=factory(root);}else{root.Css3Transform2d=factory(root);}})(typeof global!=='undefined'?global:this.window||this.global,function(){'use strict';var transformPropName=false;var onlyMatrixRe=/^matrix\s*\(\s*([^)]*\s*)\s*\)\s*$/;var Css3Transform2d=function(el_)
{var el=sanityEl(el_);if(!el||!el.style){throw new TypeError('Unexpected el(ement) argument.');}
if(!transformPropName){['transform','WebkitTransform','MozTransform','msTransform','OTransform'].forEach(function(prop){if(!transformPropName&&typeof el.style[prop]!=='undefined'){transformPropName=prop;}});}
if(!transformPropName){throw new Error('Your browser does not support CSS3 transform property.');}
return new TransformMatrix2d(el);};function TransformMatrix2d(el){this.el_=el;this.load();}
TransformMatrix2d.prototype.load=function()
{var compStyle=getComputedStyle(this.el_),compTransform=compStyle[transformPropName],m,matrixStr,a,self=this;if(!compTransform){throw new Error('window.getComputedStyle() failed.');}
if(compTransform==='none'){compTransform='matrix(1,0,0,1,0,0)';}
m=compTransform.match(onlyMatrixRe);if(!m){throw new Error('Unexpected matrix2d values: '.compTransform);}
matrixStr=m[1];matrixStr.split(/[, ]+/).forEach(function(val,idx){a=parseFloat(val);if(!isNaN(a)){if(idx===0){self.scaleX=a;}else if(idx===1){self.skewX=a;}else if(idx===2){self.skewY=a;}else if(idx===3){self.scaleY=a;}else if(idx===4){self.translateX=a;}else if(idx===5){self.translateY=a;}}});return this;};TransformMatrix2d.prototype.set=function(matrix2d,dirty)
{var isEqualMatrix,a,b,c,d,tx,ty,s;var self=this;if(matrix2d.scale){matrix2d.scaleX=matrix2d.scaleY=matrix2d.scale;}
if(!dirty){this.load();}
isEqualMatrix=['scale','skew','translate'].every(function(n){var propX=n+'X',propY=n+'Y';if(n!=='skew'){if((matrix2d[propX]!==undefined&&isNaN(matrix2d[propX]))||(matrix2d[propY]!==undefined&&isNaN(matrix2d[propY]))){throw new TypeError('Unexpected matrix2d "'+n+'" values');}}
return((matrix2d[propX]===undefined||matrix2d[propX]===self[propX])&&(matrix2d[propY]===undefined||matrix2d[propY]===self[propY]));});if(!isEqualMatrix){a=matrix2d.scaleX===undefined?this.scaleX:matrix2d.scaleX;b=matrix2d.skewX===undefined?this.skewX:matrix2d.skewX;c=matrix2d.skewY===undefined?this.skewY:matrix2d.skewY;d=matrix2d.scaleY===undefined?this.scaleY:matrix2d.scaleY;tx=matrix2d.translateX===undefined?this.translateX:matrix2d.translateX;ty=matrix2d.translateY===undefined?this.translateY:matrix2d.translateY;s='matrix('+a+', '+b+', '+c+', '+d+', '+tx+', '+ty+')';this.el_.style[transformPropName]=s;this.load();}
return this;};return Css3Transform2d;});
