<?php
/**
 * Copyright (C) 2004-2021 "Setevye informacionnye sistemy", Ltd (Russia)
 *                          en: "Network Information Systems"
 */

/**
 *
 * @file lib/get_live_info.php
 * @brief Транслятор-прокси для avregd /avreg-cgi/live.cgi
 *
 * Собирает информацию с всех avregd (профилей).
 *
 */

require_once(__DIR__ . '/../head-xhr.inc.php');

$cams_subconf = load_profiles_cams_confs();

// tohtml($cams_subconf);
// tohtml($conf);
$opts = array(
  'http'=>array(
    'method'=>"GET",
    'header' => "Authorization: Basic " .
        base64_encode($_SERVER['PHP_AUTH_USER'] . ':' . $_SERVER['PHP_AUTH_PW'])             
  )
);

$context = stream_context_create($opts);
$remote_url = 'http://localhost:874/avreg-cgi/live.cgi?' . $_SERVER['QUERY_STRING'];

$result = file_get_contents($remote_url, false, $context);

header('Content-Type: application/json');
header('HTTP/1.1 200 OK', true, 200);
echo $result;

/* vim: set expandtab smartindent tabstop=4 shiftwidth=4: */
