<?php
/**
 * Copyright (C) 2004-2021 "Setevye informacionnye sistemy", Ltd (Russia)
 *                          en: "Network Information Systems"
 */

function object2array($obj, array $excludeProps = array())
{
    if (is_object($obj)) {
        $obj = (array) $obj;
    }

    if(is_array($obj)) {
        $new = array();
        foreach($obj as $key => $val) {
            if (!in_array($key, $excludeProps)) {
                $new[$key] = object2array($val);
            }
        }
    } else {
        $new = $obj;
    }

    return $new;
}
