<?php
/**
 * Copyright (C) 2004-2021 "Setevye informacionnye sistemy", Ltd (Russia)
 *                          en: "Network Information Systems"
 */

namespace Avreg\Playlist;

require_once(__DIR__ . '/m3u.inc.php');
require_once(__DIR__ . '/dlzip.inc.php');

const M3U = 0;
const TXT = 1;
const XSPF = 2;
const JSPF = 3;

function getPlaylistGenerator($type, $options = false, $meta = false)
{
    switch ($type) {
        case M3U:
            return new M3U($options, $meta);
            break;
        default:
            throw new \InvalidArgumentException('unupported playlist type ' . $type);
            break;
    }
}

/* vim: set expandtab smartindent tabstop=4 shiftwidth=4: */
