/**
 * Copyright (C) 2004-2021 "Setevye informacionnye sistemy", Ltd (Russia)
 *                          en: "Network Information Systems"
 */
(function(root,factory){if(typeof(define)==='function'&&define.amd){define([],factory(root));}else if(typeof(exports)==='object'){module.exports=factory(root);}else{root.ShowEvent=factory(root);}})(typeof(global)!=='undefined'?global:this.window||this.global,function(){'use strict';var ShowEvent={};var contEl,$contEl;var $textWrapper,$textContainer;var $imageEl,imageEl,$imageWrapper;var playerObj;var toolbarContEl;var $tbEl={'name':false,'info':false};var defaults_={embedMedia:false,playbackRates:[0.1,0.2,0.5,1,2,3,5],toolbarControlClassPref:'content-obj-'};var options_;var g_playbackRate=1;var g_playbackRateSlowMotion=0.2;var displayedObjClass='help';var $helpWrapper,$helpBtn;var $observer_=$({});var keyPressed={'ControlLeft':false,'ControlRight':false};function getMediaObjInfoStatic(eventClass,eventData,camName)
{var
s,eventStarts=getEventStartUnixTime(eventData.EVT_ID,eventData.UDT1,eventData.UDT2),eventEnds=getEventEndsUnixTime(eventData.EVT_ID,eventData.UDT1,eventData.UDT2);s='<dl class="avreg-event-info dl-horizontal">'+
'<dt>Камера:</dt>\n'+
'<dd><b>'+camName+'</b></dd>\n'+
'<dt>Файл:</dt>\n'+
'<dd>'+(eventData.info?eventData.info:eventData.EVT_CONT)+'</dd>\n';if(eventClass==='video'||eventData==='audio'){s+='<dt>Начиная с:</dt><dd>'+formatUnixTime(eventStarts)+'</dd>\n'+
'<dt align="right">по:</dt><dd>'+formatUnixTime(eventEnds)+'</dd>\n';}else{s+='<dt>Время:</dt>\n'+
'<dd>'+formatUnixTime(eventStarts)+'</dd>\n';}
s+='</dl>\n';return s;}
function hideVideoJs()
{if(playerObj){if(playerObj.techName_==='Html5'){playerObj.pause();playerObj.hide();}else{MediaToolbar.playerBeforeDispose(playerObj);playerObj.dispose();playerObj=null;}}}
function switchView(objType)
{if(objType==='audio'){objType='video';}
if(displayedObjClass===objType){return;}
switch(objType){case'video':displayedObjClass==='snapshot'&&$imageWrapper.hide();displayedObjClass==='text'&&$textWrapper.hide();if(displayedObjClass==='help'){$helpWrapper.hide();if($helpBtn.hasClass('active')){$helpBtn.removeClass('active');}}
if(playerObj){playerObj.show();}
break;case'snapshot':displayedObjClass==='video'&&hideVideoJs();displayedObjClass==='text'&&$textWrapper.hide();if(displayedObjClass==='help'){$helpWrapper.hide();if($helpBtn.hasClass('active')){$helpBtn.removeClass('active');}}
$imageWrapper.show();break;case'help':displayedObjClass==='video'&&hideVideoJs();displayedObjClass==='snapshot'&&$imageWrapper.hide();displayedObjClass==='text'&&$textWrapper.hide();$helpWrapper.show();if(!$helpBtn.hasClass('active')){$helpBtn.addClass('active');}
break;default:displayedObjClass==='snapshot'&&$imageWrapper.hide();displayedObjClass==='video'&&hideVideoJs();if(displayedObjClass==='help'){$helpWrapper.hide();if($helpBtn.hasClass('active')){$helpBtn.removeClass('active');}}
$textWrapper.show();break;}
displayedObjClass=objType;}
function noObj(msg)
{var msgType=msg.type||'info';$textContainer.empty().html('<div class="alert alert-'+msgType+'" role="alert">'
+'<h3>'+msg.title+'</h3>'
+'<hr>'
+'<p>'+msg.content+'</p>'
+'</div>');$tbEl['name'].empty();$tbEl['info'].empty();switchView('text');}
function vjsPlayerKeyUpDownCbk(evt)
{var rate,key;if(!this.tech_||!this.tech_['featuresPlaybackRate']){return true;}
key=evt.key||evt.keyCode;if(key==='Control'||key===17){if(evt.type==='keydown'){if(evt.location===1 ){keyPressed['ControlLeft']=true;rate=g_playbackRateSlowMotion;}else if(evt.location===2 ){keyPressed['ControlRight']=true;rate=1;}}else if(evt.type==='keyup'){if(evt.location===1 ){keyPressed['ControlLeft']=false;}else if(evt.location===2 ){keyPressed['ControlRight']=false;}
if(keyPressed['ControlRight']||keyPressed['ControlLeft']){if(evt.location===1 ){rate=1;}else if(evt.location===2 ){rate=g_playbackRateSlowMotion;}}else{rate=g_playbackRate;}}}
if(rate){if(rate!==this.playbackRate()){this.playbackRate(rate);}
evt.stopPropagation();}
return true;}
ShowEvent.init=function(container,toolbar,options){var ctlName;options_=$.extend({},defaults_,options||{});contEl=sanityEl(container);if(!contEl){throw new Error('Invalid argument container '+container);}
$contEl=$(contEl);toolbarContEl=sanityEl(toolbar);for(ctlName in $tbEl){$tbEl[ctlName]=$('.'+options_.toolbarControlClassPref+ctlName,toolbarContEl);}
playerObj=undefined;$imageWrapper=$('#snapshot-wrapper');$imageEl=$('#snapshot');imageEl=$imageEl.get(0);$imageEl.on('error',function(){$observer_.trigger('error',[parseInt($contEl.data('evt-nbr')),'snapshot']);}).on('load abort',function(){$observer_.trigger('loaded',[parseInt($contEl.data('evt-nbr')),'snapshot']);$observer_.trigger('ended',[parseInt($contEl.data('evt-nbr')),'snapshot']);});$textWrapper=$('#text');$textContainer=$('#text-wrapper');$helpWrapper=$('#help');$helpBtn=$('#help-btn');$helpBtn.on('click',function(){var $this=$(this);if(displayedObjClass==='help'){switchView($this.data('prev-obj-class')||'text');$this.data('prev-obj-class','help');}else{$this.data('prev-obj-class',displayedObjClass);switchView('help');}});MediaToolbar.init(contEl,toolbarContEl,imageEl);};ShowEvent.show=function(eventNbr,eventData,camName,showOption)
{var
eventClass,mediaEvent,encMediaUrl,mediaType,$openHref,$dlHref,$playerWrapper,opts;if(typeof(eventNbr)==='object'){noObj(eventNbr);return;}
eventClass=getEventContentClass(eventData.EVT_ID);mediaEvent=isMediaEvent(eventData.EVT_ID);opts=$.extend({},options_,showOption||{});if(g_playbackRate!==opts.playbackRate){g_playbackRate=opts.playbackRate;}
if(g_playbackRateSlowMotion!==opts.playbackRateSlowMotion){g_playbackRateSlowMotion=opts.playbackRateSlowMotion;}
$contEl.data('evt-nbr',eventNbr).data('evt-class',eventClass).data('evt-id',eventData.EVT_ID);ShowEvent.inspect(eventData);if(mediaEvent){encMediaUrl=getArchFileUrl(eventData.CAM_NR,eventData.EVT_CONT);mediaType=getMimeByUrl(eventData.EVT_CONT);}
if(mediaEvent&&opts.embedMedia){if(eventClass==='snapshot'){imageEl.src=encMediaUrl;switchView(eventClass);}else{if(playerObj){if(playerObj.currentType()!==mediaType){MediaToolbar.playerBeforeDispose(playerObj);playerObj.dispose();playerObj=null;}}
if(!playerObj){$playerWrapper=$('<video id="video" class="video-js vjs-default-skin vjs-big-play-centered"></video>');$playerWrapper.css('overflow','hidden');$contEl.append($playerWrapper);}
switchView(eventClass);if(!playerObj){playerObj=videojs($playerWrapper.get(0),{controls:true,autoplay:true,preload:'auto',playbackRates:options_.playbackRates,fluid:true,volume:0.8,aspectRatio:contEl.clientWidth+':'+contEl.clientHeight,plugins:{startdate:{}}},function(){this.on('error',function(){var err=this.error();$observer_.trigger('error',[parseInt($contEl.data('evt-nbr')),$contEl.data('evt-class'),err]);}).on('ended',function(){$observer_.trigger('ended',[parseInt($contEl.data('evt-nbr')),$contEl.data('evt-class')]);}).on('loadeddata',function(){if(this.controlBar&&this.controlBar.volumeMenuButton&&this.tech_&&this.tech_['featuresVolumeControl']!==false&&parseInt($contEl.data('evt-id'))===23){this.controlBar.volumeMenuButton.hide();}
if(this.tech_&&this.tech_['featuresPlaybackRate']&&g_playbackRate!==this.playbackRate()){this.playbackRate(g_playbackRate);}
$observer_.trigger('loaded',[parseInt($contEl.data('evt-nbr')),$contEl.data('evt-class')]);}).on('keydown',vjsPlayerKeyUpDownCbk).on('keyup',vjsPlayerKeyUpDownCbk);MediaToolbar.playerReady(this);});}
playerObj.options({startDate:eventData.UDT2*1000});playerObj.src({src:encMediaUrl,type:mediaType});}}else{$textContainer.empty().html('<div>\n'
+getMediaObjInfoStatic(eventClass,eventData,camName)
+'</div>\n');if(mediaEvent&&IS_SUPPORT_DOWNLOAD){$openHref=$('<a href="#">'+MESSAGES['strOpen']+'</a>').attr({href:encMediaUrl,'class':'viewed '+eventClass,target:'_blank'});$dlHref=$('<a href="#" class="downloadable'+eventClass+'">'+MESSAGES['strDownload']+'</a>');dlFiles.mkDownloadable($dlHref.get(0),{camNbr:eventData.CAM_NR,mediaAlias:getCamArchMediaAlias(eventData.CAM_NR),relPath:eventData.EVT_CONT});$('<div class="text-center">').append($openHref).append(' :: ').append($dlHref).appendTo($textContainer);}
switchView('text');$observer_.trigger('loaded',[eventNbr,eventClass]);$observer_.trigger('ended',[eventNbr,eventClass]);}
$tbEl['name'].text(camName);if(mediaEvent){$tbEl['info'].text(eventData.info?eventData.info:'').show();}else{$tbEl['info'].hide();}
MediaToolbar.update(playerObj,eventData,opts);};ShowEvent.resize=function(){if(playerObj){playerObj.aspectRatio(contEl.clientWidth+':'+contEl.clientHeight);}};ShowEvent.on=function(){if(arguments[1]&&typeof(arguments[1])==='function'){arguments[1]=arguments[1].bind(this);}
$observer_.on.apply($observer_,arguments);return this;};ShowEvent.one=function(){if(arguments[1]&&typeof(arguments[1])==='function'){arguments[1]=arguments[1].bind(this);}
$observer_.one.apply($observer_,arguments);return this;};ShowEvent.off=function(){$observer_.off.apply($observer_,arguments);return this;};ShowEvent.inspect=function(eventData){var ret=false;if(typeof(eventData.info)!=='undefined'){return eventData.info;}
switch(eventData.EVT_ID){case 1:break;case 2:break;case 3:break;case 4:break;case 5:break;case 13:case 14:break;case 22:break;case 15:case 16:case 17:ret=baseName(eventData.EVT_CONT)
+' ('
+filesize(eventData.FILESZ_KB*1024,{round:1})+', '
+eventData.ALT1+'x'+eventData.ALT2+')';break;case 23:case 12:ret=baseName(eventData.EVT_CONT)
+' ('
+filesize(eventData.FILESZ_KB*1024,{round:1})+', '
+formatTime(eventData.UDT1-eventData.UDT2)+', '
+eventData.ALT1+'x'+eventData.ALT2+')';break;case 32:ret=baseName(eventData.EVT_CONT)
+' ('
+filesize(eventData.FILESZ_KB*1024,{round:1})+', '
+formatTime(eventData.UDT1-eventData.UDT2)+')';break;default:throw'invalid EVT_ID: '+eventData.EVT_ID;}
eventData.info=ret;return eventData.info;};function getMimeByUrl(url)
{var MIMEtypes={mjpeg:'multipart/x-mixed-replace',mjpg:'multipart/x-mixed-replace',tiff:'image/bmp',bmp:'image/bmp',png:'image/png',jpeg:'image/jpeg',jpg:'image/jpeg',gif:'image/gif',swf:'application/x-shockwave-flash',flv:'video/x-flv',aif:'audio/x-aiff',aifc:'audio/x-aiff',aiff:'audio/x-aiff',au:'audio/basic',avi:'video/x-msvideo',dv:'video/x-dv',m3u:'audio/x-mpegurl',m3u8:'application/x-mpegurl',m4a:'audio/mp4',m4b:'audio/mp4',m4p:'audio/mp4',m4u:'video/vnd.mpegurl',mid:'audio/midi',midi:'audio/midi',mkv:'video/x-matroska',mka:'audio/x-matroska',mov:'video/quicktime',movie:'video/x-sgi-movie',mp2:'audio/mpeg',mp3:'audio/mpeg',mp4:'video/mp4',m4v:'video/mp4',mpe:'video/mpeg',mpeg:'video/mpeg',mpg:'video/mpeg',mpga:'audio/mpeg',mxu:'video/vnd.mpegurl',snd:'audio/basic',wav:'audio/x-wav',wmv:'video/x-ms-wmv',ogv:'video/ogg',oga:'audio/ogg',ogg:'application/ogg',webm:'video/webm',weba:'audio/webm',webp:'image/webp'};var extension=(url.split('?')[0].match(/.*\.(.*)$/)||[])[1];return MIMEtypes[extension];}
return ShowEvent;});
