<?php
/**
 * Copyright (C) 2004-2021 "Setevye informacionnye sistemy", Ltd (Russia)
 *                          en: "Network Information Systems"
 */
/**
 *
 * @file offline/search/template/view.inc.php
 * @brief HTML темплейт области просмотра событий
 *
 * Центрирование элементов:
 *  - https://www.w3.org/Style/Examples/007/center.en.html
 *  - http://www.w3schools.com/css/css_align.asp
 *  - https://css-tricks.com/centering-css-complete-guide/
 */

?>

<div tabindex="-1" style="display: none; overflow: hidden; height: 100%; width:100%"
    class="obj video-js vjs-default-skin vjs-fluid video-dimensions vjs-workinghover vjs-v5 vjs-controls-enabled vjs-user-active vjs-paused"
    id="snapshot-wrapper" role="region" aria-label="spanshot wrapper">
    <img id="snapshot" class="vjs-poster">
</div>
<div tabindex="-1" id="text" class="obj text" style="display: none;">
    <div id="text-wrapper" class="center-wrapper">
    </div>
</div>
<div tabindex="-1" id="help" class="obj text" style="display: block;">
    <div class="center-wrapper">
        <?php echo $htmlSearchHelp; ?>
    </div>
</div>
