<?php
/**
 * Copyright (C) 2004-2021 "Setevye informacionnye sistemy", Ltd (Russia)
 *                          en: "Network Information Systems"
 */
/**
 * @file lang/russian/utf-8/_online.php
 * @brief Файл переводов для страниц
 * - online/index.php
 * - online/build_mon.php
 * - online/index.php
 * - admin/active_wc.inc.php
 */
/* ONLINE START ******************************/

$WebCam = 'Веб-камеры';
$strPrintCamNames = 'Выводить названия камер';
$strStopHiddenCams = 'Останавливать проигрывание &quot;спрятанных&quot; камер';
$strStopHiddenCams_short = 'СтопСпрятанныеКамеры';


$strToolbarControls = array(
    'on' => 'Вывести панель управления', //'Зафиксировать панель управления',
    'off' => 'Скрыть панель управления', //'Снять фиксацию с панели управления',
    'stop' => 'Стоп',
    'play' => 'Старт',
    'zoom_in' => 'Увеличить',
    'zoom_out' => 'Уменьшить',
    'orig_size' => 'Оригинальный размер',
    'cell_size' => 'Вписать в ячейку',
    'to_cam_interface' => 'Перейти в веб интерфейс IP-камеры',
    'max' => 'Развернуть',
    'min' => 'К раскладке',
    'select_view' => 'Выбрать раскладку',
    'ptz'=>'Панорамирование/наклон',
);

$strCamName_Yes = 'Да';
$strCamName_No = 'Нет';

$strAspectRatio = 'Пропорции';
$AspectRatioArray = array(
    'calc' => 'сохранять пропорции',
    'fs' => 'на весь экран',
);

$strReconnectTimeout = 'Интервал реконнекта';
$ReconnectTimeoutArray = array(
    '0' => 'без реконнекта',
    '5' => '5 сек.',
    '10' => '10 сек.',
    '15' => '15 сек.'
 );

$strLayoutAutoRotation = 'Автоматическая ротация раскладок';
$strWithoutRotation = 'Без ротации';

/* MONITORS START */
$web_left_layouts_desc = 'Раскладки (планы просмотра) для наблюдения за камерами в реальном времени в веб-браузерах c';

$no_any_layout = 'Нет сконфигурированных раскладок';
$r_mons = $left_layouts_desc . ' видеосервера  &#171;%s&#187; [%s].';
$web_r_mons = $web_left_layouts_desc . ' видеосервера  &#171;%s&#187; [%s].';

$layout_word = 'Раскладка';
$l_mon_addnew = 'создать раскладку';
$l_mon_admin_only = 'Функция доступна только администратору';
$r_mon_addnew = 'Создание новой раскладки #%d для %s монитора.';
$web_mon_addnew = 'Создание новой раскладки #%d .';

$r_mon_tune = 'Изменить раскладку #%d [%s] для %s монитора.';
$str_web_mon_tune = 'Изменить раскладку #%d [%s].';
$r_mon_list = 'Список общих раскладок, <span class="HiLite">определенных администратором</span>, хранимый в базе данных и доступный по умолчанию всем пользователям.';
$client_mon_list = 'Список <span class="HiLite">только Ваших</span> раскладок, сохраняемых в данных этого браузера.';
$r_mon_goto_list = 'назад к списку раскладок';
$r_mon_changed = 'Раскладка #%d [%s] для %s монитора успешно изменена.<br />Перезапустите программу локального
 просмотра &#171;' . $local_player_name . '&#187; (сервер &#171;' . $videoserv . '&#187; перезапускать не нужно).';
$web_r_mon_changed = 'Раскладка #%d [%s] успешно изменена.<br />Обновите в браузере страницу просмотра (сервер &#171;' .
    $videoserv . '&#187; перезапускать не нужно).';
$strNamed = 'с названием';
$strONECAM = '1 камера';
$strQUAD_4_4 = '4 камеры';
$strMULTI_6_9 = '6 камер';
$strMULTI_7_16 = '7 камер';
$strMULTI_8_16 = '8 камер';
$strQUAD_9_9 = '9 камер';
$strMULTI_10_16 = '10 камер';
$strMULTI_13_16 = '13 камер';
$strMULTI_13_25 = & $strMULTI_13_16;
$strMULTI_17_25 = '17 камер';
$strMULTI_19_25 = '19 камер';
$strMULTI_22_25 = '22 камеры';
$strQUAD_16_16 = '16 камер';
$strMULTI_16_25 = & $strQUAD_16_16;
$strQUAD_25_25 = '25 камер';
$strMULTI_30_30 = '30 камер (6x5)';

$strWideScreen = ' (широкий экран)';
$strWide_2_2 = '2 камеры' . $strWideScreen;
$strWide_3_6 = '3 камеры' . $strWideScreen;
$strWide_6_6 = '6 камер' . $strWideScreen;
$strWide_5_8 = '5 камер' . $strWideScreen;
$strWide_9_15 = '9 камер' . $strWideScreen;
$strWide_15_15 = '15 камер' . $strWideScreen;
$strWide_12_24 = '12 камер' . $strWideScreen;
$strWide_15_24 = '15 камер' . $strWideScreen;
$strWide_18_24 = '18 камер' . $strWideScreen;
$strWide_21_24 = '21 камера' . $strWideScreen;
$strWide_24_24 = '24 камеры' . $strWideScreen;
$strWide_34_40 = '34 камеры' . $strWideScreen;
$strWide_37_40 = '37 камер' . $strWideScreen;
$strWide_28_28 = '28 камер' . $strWideScreen;
$strWide_28_40 = &$strWide_28_28;
$strWide_40_40 = '40 камер' . $strWideScreen;
$strWide_18_18 = '18 камер' . $strWideScreen;
$strWide_9_18 = '9 камер' . $strWideScreen;
$strWide_12_18 = '12 камер' . $strWideScreen;
$strWide_15_18 = '15 камер' . $strWideScreen;
$strWide_30_60 = '30 камер' . $strWideScreen;
$strWide_54_60 = '54 камеры' . $strWideScreen;
$strWide_42_60 = '42 камеры' . $strWideScreen;
$strWide_48_60 = '48 камер' . $strWideScreen;
$strWide_60_60 = '60 камер' . $strWideScreen;

$strPoly_4_3 = '12 камер (4x3)';
$strPoly_5_4 = '20 камер (5x4)';
$strPoly_7_6 = '42 камеры (7x6)';

$strCamPosition = 'Расположение камер';
$sLeftDisplay = 'левый или единственный монитор';
$sRightDisplay = 'правый монитор';
$sRightDisplay1 = 'правого';
$sLeftDisplay1 = 'левого или единственного';

$fmtMonAddInfo = 'Добавляем раскладку &#171;%s&#187; c номером %d [%s] для %s монитора.';
$fmtWebMonAddInfo = 'Добавляем раскладку &#171;%s&#187; c номером %d [%s].';
$strMonAddInfo2 = 'Определите расположение камер в плане раскладки и нажмите кнопку &#171;Сохранить&#187;.<br>
Обязательно определите камеру для главного окна раскладки,<br />выделенного рамкой другого цвета.';

$r_moncam_list = ' Видеокамеры, разрешённые <span class="HiLite">для локального просмотра</span> в программе &#171;' .
    $local_player_name . '&#187;.';
$web_r_moncam_list = ' Видеокамеры, доступные <span class="HiLite">для просмотра в веб-браузерах</span>.';

$strNotViewCams = 'Нет ни одной камеры, правильно сконфигурированной для локального (на сервере)  ' .
    'просмотра  в программе &#171;' . $local_player_name . '&#187;<br><br>' .
    'Если локальный просмотр не нужен, то лучше так и оставить для экономии ресурсов компьютера.<br/>' .
    'Если нужен - смотрите настройки камер, разделы &#171;Наблюдение&#187; -&#062; &#171;локальное&#187;';

$strNotViewCamsWeb = 'Нет ни одной камеры, правильно сконфигурированной для просмотра веб-браузерами.';

$CamListShowMode = array(
    'не показывать',
    'правильно сконфигурированные для просмотра',
    'все, включая недоступные с причинами'
 );

$strNotChoiceCam = 'Вы должны выбрать хотя бы одну камеру, иначе зачем определять пустую раскладку.';

$fmtLayoutDelConfirm = 'Вы уверены что хотите удалить раскладку #%d [%s]';
$fmtDeleteMonConfirm = $fmtLayoutDelConfirm . ' для %s монитора?' . "\n";
$strDeleteMon = 'Раскладка #%d [%s] для %s монитора удалена из конфигурации.' . "\n";

$strMonAddErr1 = 'Вы не выбрали тип раскладки.';

$fmtLayoutDeleted = 'Раскладка #%d [%s] удалена из конфигурации.' . "\n";
/* MONITORS END */

/* WEB MONITORS  */
/* WEB MONITORS END */

/******************************** ONLINE END */
