<?php
/**
 * Copyright (C) 2004-2021 "Setevye informacionnye sistemy", Ltd (Russia)
 *                          en: "Network Information Systems"
 */
/**
 * @file lang/russian/utf-8/common.inc.php
 * @brief Базовый перевод
 */
// ========================================================================
$charset = 'UTF-8';

$videoserv = 'avregd';
$local_player_name = 'avreg-mon';

// shortcuts for Byte, Kilo, Mega, Tera, Peta, Exa
$byteUnits = array('Байт', 'КБ', 'МБ', 'ГБ');

$strBrowser = 'веб-браузер';

$upload_status = array(
    UPLOAD_ERR_OK => 'ошибок не возникало, файл был успешно загружен на сервер',
    UPLOAD_ERR_INI_SIZE => 'размер принятого файла превысил максимально допустимый размер,' .
    'который задан директивой  upload_max_filesize конфигурационного файла php.ini',
    UPLOAD_ERR_FORM_SIZE => 'размер загружаемого файла превысил значение MAX_FILE_SIZE, указанное в HTML-форме',
    UPLOAD_ERR_PARTIAL => 'загружаемый файл был получен только частично',
    UPLOAD_ERR_NO_FILE => 'файл не был загружен'
);

$fmtAccessDenied = 'Пользователю &#171;%s@%s&#187 доступ запрещён.';
$strAdvices = 'Советы';
$fmtTryOnceMore = 'Для повторной попытки входа, перезапустите браузер (закройте все окна) и попробуйте ещё раз<br />
или же обратитесь к администратору сервера %s';
$fmtServerAdmin = 'Администратор сервера: %s';
$strAddUser = 'Добавить нового пользователя';
$strAll = 'Все';

$grp_ar = array(
    1 => array('grname' => 'Инсталляторы', 'grdesc' => 'Полный доступ'),
    2 => array(
        'grname' => 'Администраторы',
        'grdesc' => 'Почти полный доступ за исключением добавления/удаления камер и изменения большинства' .
        ' специфических настроек камер.'
    ),
    3 => array(
        'grname' => 'Операторы архива',
        'grdesc' => 'Mогут просматривать архив и наблюдать за камерами в реальном времени'
    ),
    4 => array(
        'grname' => 'Операторы наблюдения',
        'grdesc' => 'Mогут наблюдать за камерами в реальном времени и управлять ими (вкл./выкл. режима принудительной' .
        ' записи, PTZ).'
    ),
    5 => array('grname' => 'Только просмотр', 'grdesc' => 'Mогут только наблюдать за камерами в реальном времени')
);

$par_filter_ar = array(0 => 'только основные', 1 => 'все');

$strBack = 'Назад';
$strBackIn = 'назад в';

$strChange = 'Изменить';
$strClose = 'Закрыть';

$strDelete = 'удалить';
$strDisclose = 'Раскрыть';
$strDisplay = 'показать';
$strDisplayed = 'показывать';
$strDownload = 'Загрузить';
$strBackOnline = 'Перейти на страницу наблюдения';
$strEdit = 'правка';
$strError = 'ошибка';

$strHome = 'К началу';
$strHost = 'Хост';
$strHelp = 'Справка';

//$strScale = 'Масштаб';
$strScale = array(
    'scale' => 'Масштаб',
    'zoom_in' => 'Увеличить',
    'zoom_out' => 'Уменьшить',
    'sorting' => 'Сортировка',
    'by_width' => 'по ширине',
    'by_height' => 'по высоте'
);

$strInvalidFormParams = 'Ошибка в параметрах.<br />Проверьте все ли значения заполнены правильно.';
$strIntervals = 'Интервалы';

$strLoginName = 'Логин';
$strGuestMode = 'Гость';
$strPDAversion = 'PDA';
$strLogout = 'Выйти из системы';

$strMessage = 'Сообщение';
$strNo = 'Нет';

$strOK = 'Готово';
$strOpen = 'Открыть';

$strParams = 'параметры';
$strPassword = 'Пароль';


$strRecording = 'Запись';
$strGet = 'Получить';
$strReset = 'Cбросить';
$strRevoke = 'Отменить';
$strRunned = 'работает';
$strStopped = 'остановлен';

$strSave = 'Сохранить';
$strSelectAll = 'Отметить все';
$strSettings = 'Настройки';
$strSources = 'Источники';
$strSetByDefault = 'Установить по умолчанию';
$strSetToCam = 'Установить конкретно для этой камеры';

$strTip = 'Подсказка';
$strToMainPage = 'На главную страницу';

$strUserName = 'Имя пользователя';


$strWait = 'Ждите';

$strYes = 'Да';
$strYou = 'Вы';

$srtUndef = 'не определено';

$strAspectRatio = 'Соотношение сторон';
$sUnavailableReason = 'почему недоступно';

$strZoomIn = 'Увеличить (приблизить)';
$strZoomOut = 'Уменьшить (отдалить)';
$strFitToWindow = 'Уместить полностью';
$strOriginalResolution = 'Оригинальный размер';
$strSnapshot = 'Стоп-кадр';

/* ************************************************************************* */


$access_denided = 'Доступ к этой странице закрыт для пользователей группы &#171;%s&#187;.';

$DevelopersSite = 'Сайт разработчика';
$SubscribeUrl = 'Список рассылки';

$fmtVidServ = 'Видеосервер &#171;' . $conf['server-name'] . '&#187; на %s';
$strInvalidParams = 'Ошибка в параметрах.';

$a_adminv = 'Настройки и управление';
$a_webcam = 'Наблюдение в реальном времени';
$a_archive = 'Архив&nbsp;::&nbsp;поиск';
$a_archive_playlist = 'Архив&nbsp;::&nbsp;плейлист';

$a_archive_gallery = 'Архив&nbsp;::&nbsp;галерея';

/* _INDEX START ******************************/
$r_menu = 'Предложены следующие пункты меню (см. слева):';
/******************************** _INDEX END */

$left_logo = 'Админ';
$left_logo_desc = 'Переход к группе страниц Управление и Статистика.';


$left_control = 'Управление';
$left_control_desc = 'Управление основной программой &#171;' . $videoserv . '&#187; и контроль её состояния.' .
    '<br><br>Команды' .
    '<ul><li>запуск - start;</li>' .
    '<li>перезапуск - restart;</li>' .
    '<li>перечитать новые настройки - reload;</li>' .
    '<li>останов - stop</li></ul>';
$r_conrol_state = 'Текущее состояние демона(ов) &#171;' . $videoserv . '&#187; на &#171;' . $named . '&#187;';
$left_control_title = 'запуск/останов демона &#171;' . $videoserv . '&#187;';

$left_statistics = 'Статистика';
$left_statistics_title = 'cpu%, диск, память';
$left_statistics_desc = 'Просмотр: <ul><li>загруженности процессора,</li> <li>использования памяти,</li>
<li>заполнения жесткого диска.</li></ul>';

$left_utils = 'Утилиты';
$left_utils_desc = 'Полезные утилиты - ещё не придумано какие';

$tune_logo = 'Настройки';
$tune_title = 'камеры, пользователи, ...';
$tune_logo_desc = 'Переход к группе страниц для настройки параметров видеорегистратора.';



$left_users = 'Пользователи';
$left_users_desc = 'Определение пользователей для работы с системой. Изменение своего пароля.';

$left_tune = 'Видеокамеры';
$left_tune_desc = 'Настройка параметров видеокамер и других основных параметров системы.';

$left_layouts = 'Раскладки';
$left_layouts_local_title = 'для локального просмотрщика ' . $local_player_name;
$left_layouts_desc = 'Планы c расположениями окон камер (раскладками) для локального (на сервере) наблюдения в
 реальном времени просмотрщиком &#171;' . $local_player_name . '&#187;';

$left_indextune = 'Настройки';


$left_key = 'Ключ защиты';
$license = 'Лицензия';
$left_key_desc = 'Ключ защиты определяет разрешённые (оплаченные) возможности видеорегистратора.';

$left_bug = 'Сообщить о проблеме';


$strDescription = 'Описание';
$strUpdateControl = 'Изменено';

$l_cam_defaults = 'параметры <font color="red"><strong>для всех</strong></font>';

$r_cam_defs2 = 'Общие настройки<br />для ВСЕХ видеокамер';
$r_cam_defs3 = 'ПО УМОЛЧАНИЮ ДЛЯ ВСЕХ';
$l_cam_addnew = 'добавить новую';
$l_cam_list = 'список камер';

$notVidDevs = 'Нет устройств видеозахвата.';
$notV4loop = 'Нет загружен модуль v4loop.';
$strNotTextLeft = 'Не определено, см.  параметр &#171;text_left&#187;';
$unknownCheckParams = 'Ошибка: неизвестный параметр &#171;%s&#187;.<br>Обратитесь к инсталлятору системы.';

$strCam = 'Камера';

$strYear = 'год';
$strMonth = 'месяц';
$strDay = 'день';
$strDayOfWeek = 'д.нед.';
$strHour = 'час';
$strMinute = 'мин.';
$charNull = '-';

$strGeo = 'Разрешение';

$strEmptied = 'не задано';

/* USERS */
$l_user_list = 'список пользователей';
$l_user_addnew = 'добавить нового';
$l_user_passwd = 'сменить свой пароль';

$r_cam_tune = 'Параметры видеокамеры № <font color="Red">%d %s</font>'
  . ' на сервере &#171<font color="Red">%s</font>&#187;.';
$strParInvalid = 'Ошибка: &#171;%s&#187; - недопустимое значение параметра &#171;%s&#187;.';



$not_defined = 'не определено, см. описание параметра - &#171;По умолчанию&#187;';
$eval_with_def = 'установлено для всех видеокамер в &#171;параметрах для всех&#187;';
$not_eval_with_def = 'конкретно определено для этой видеокамеры';
$strReloadDesc = 'после изменения достаточно перечитать конфигурацию ( <a href="' . $conf['prefix'] .
    '/admin/control.php?cmd=Reload#038;from=tune" title="если закончили менять параметры - подать команду ' .
    $videoserv . '">Reload</a> )';
$strRestartDesc = 'после изменения необходимо перезапустить ' . $videoserv . ' ( <a href="' . $conf['prefix'] .
    '/admin/control.php?cmd=Restart#038;from=tune" title="если закончили менять параметры - подать команду ' .
    $videoserv . '">Restart</a> )';
$strName = 'название';
$strOrder = 'номер';
$strEvents = 'События';



$env_id_ar = array(
    23 => 'видео',
    32 => 'аудио',
    16 => 'снапшоты_1(jpg)',
    13 => 'начало движения',
    14 => 'окончание движения',
    5 => 'вкл./выкл. записи',
    3 => 'запуск/останов захвата',
    1 => 'запуск/останов сервера',
    4 => 'подкл./откл. клиентов',
    17 => 'снапшоты_2(jpg)',
    15 => 'снапшоты paranoid',
    /*  12=>'аудио+видео фильм', */
);

$pofig = 'не важно';
$minute_array = array(
   0 => '00',
   5 => '05',
   10 => '10',
   15 => '15',
   20 => '20',
   25 => '25',
   30 => '30',
   35 => '35',
   40 => '40',
   45 => '45',
   50 => '50',
   55 => '55',
   59 => '59'
);

$hour_array = array(
    '00',
    '01',
    '02',
    '03',
    '04',
    '05',
    '06',
    '07',
    '08',
    '09',
    '10',
    '11',
    '12',
    '13',
    '14',
    '15',
    '16',
    '17',
    '18',
    '19',
    '20',
    '21',
    '22',
    '23'
);
$day_array = array(
    1,
    2,
    3,
    4,
    5,
    6,
    7,
    8,
    9,
    10,
    11,
    12,
    13,
    14,
    15,
    16,
    17,
    18,
    19,
    20,
    21,
    22,
    23,
    24,
    25,
    26,
    27,
    28,
    29,
    30,
    31
);
$day_of_week = array('Пн', 'Вт', 'Ср', 'Чт', 'Пт', 'Сб', 'Вс');
$month_array = array('Янв', 'Фев', 'Мар', 'Апр', 'Май', 'Июн', 'Июл', 'Авг', 'Сен', 'Окт', 'Ноя', 'Дек');
$cur_year = (int)(new DateTime)->format('Y');
function __add_year__($y) {
    global $year_array;
    $ys = (string)$y;
    $year_array[$ys] = substr($ys, -2);
}
$year_array = array();
$ya = range($cur_year-3, $cur_year+1);
array_walk($ya, '__add_year__');

$flags = array('Выкл.', 'Вкл.');
// $state3_array = array($pofig,'Вкл.');
$strFrom = 'с';
$strTo = 'по';
$strDescOrder = 'обратная сортировка';

$strCam_nr_Range = 'Недопустимый порядковый номер видеокамеры';
$strTune = 'настроить';

$strWcListShow = 'Показать список камер: ';

$strSec = 'сек.';

$DEV_FIRMS = '&copy; 2007-' . $cur_year . ' ООО &#171;Сетевые информационные системы&#187;';
