<?php
/**
 * Copyright (C) 2004-2021 "Setevye informacionnye sistemy", Ltd (Russia)
 *                          en: "Network Information Systems"
 */

/**
 *
 * Функция отправляющая заголовки о 412 ошибке
 * @param string $msg сообщение
 */
function die412($msg)
{
    @ob_end_clean();
    header("$_SERVER[SERVER_PROTOCOL] 412 Precondition failed");
    echo $msg;
    exit;
}

/**
 *
 * Функция отправляющая заголовки о 403 ошибке
 * @param string $msg сообщение
 */
function die403($msg)
{
    @ob_end_clean();
    header("$_SERVER[SERVER_PROTOCOL] 403 Forbidden");
    echo $msg;
    exit;
}

/**
 *
 * Функция отправляющая заголовки о 404 ошибке
 * @param string $msg сообщение
 */
function die404($msg)
{
    @ob_end_clean();
    header("$_SERVER[SERVER_PROTOCOL] 404 Not found");
    echo $msg;
    exit;
}

/**
 *
 * Функция отправляющая заголовки о 500 ошибке
 * @param string $msg сообщение
 */
function die500($msg)
{
    @ob_end_clean();
    header("$_SERVER[SERVER_PROTOCOL] 500 Server Error");
    echo $msg;
    exit;
}
/* vim: set expandtab smartindent tabstop=4 shiftwidth=4: */
