/**
 * Copyright (C) 2004-2021 "Setevye informacionnye sistemy", Ltd (Russia)
 *                          en: "Network Information Systems"
 */
(function(root,factory){if(typeof(define)==='function'&&define.amd){define([],factory(root));}else if(typeof(exports)==='object'){module.exports=factory(root);}else{root.MediaToolbar=factory(root);}})(typeof(global)!=='undefined'?global:this.window||this.global,function(){'use strict';var MediaToolbar={};var $mtbContainer;var $tbCtrl=[];var allCtrlNames=['download','snapshot','zoom-in','zoom-out','fit','original-size'];var transformPropName=false;var defaults_={classPref:'content-obj-mtb',scaleStep:0.2};var options_;var imgEl_,$imgEl;var curShowObjData={eventDataRef:null,scaledElements:[],eventClass:null,mediaEvent:null,playerObj:null};var isMediaClassChangedNow;var videoPlayerInteract;var dragEndMonoTime;var camsTransformValuesCache={};var transformValuesRef;var transformValuesDef={flag:'fit',scaleX:1,scaleY:1,translateX:0,translateY:0};var getCamTransform=function(camNbr){var camKey='cam'+camNbr;if(!camsTransformValuesCache[camKey]){camsTransformValuesCache[camKey]=Object.assign({},transformValuesDef);}
return camsTransformValuesCache[camKey];};var enable_disable=function(ctrlName,enable)
{var $el=$tbCtrl[ctrlName];var isLink=$el.is('a');var isDisabledNow=isLink?$el.hasClass('disabled'):$el.prop('disabled');if(enable){if(isDisabledNow){if(isLink){$el.removeClass('disabled');}else{$el.prop('disabled',false);}}}else{if(!isDisabledNow){if(isLink){$el.addClass('disabled');}else{$el.prop('disabled',true);}}}};var enable=function(ctrlName)
{if(Array.isArray(ctrlName)){ctrlName.forEach(function(k){enable_disable(k,true);});}else{enable_disable(ctrlName,true);}};var disable=function(ctrlName)
{if(Array.isArray(ctrlName)){ctrlName.forEach(function(k){enable_disable(k,false);});}else{enable_disable(ctrlName,false);}};var isOriginalSize=function(transformMatrix)
{var el,mediaW,mediaH;el=curShowObjData.scaledElements[0];if(!el){return undefined;}
if(!transformMatrix){transformMatrix=Css3Transform2d(el);}
if(transformMatrix.scaleX!==1||transformMatrix.scaleY!==1){return false;}
if(el===imgEl_){mediaW=el.naturalWidth;mediaH=el.naturalHeight;}else{mediaW=el.videoWidth;mediaH=el.videoHeight;}
if(!mediaW||!mediaH){return undefined;}
return(el.clientWidth===mediaW&&el.clientHeight===mediaH);};var updateScaleCtrls=function()
{var isOriginalSizeVar;if(transformPropName&&curShowObjData.scaledElements.length>0){enable(['zoom-in','zoom-out']);}else{disable(['zoom-in','zoom-out']);}
if(transformValuesRef.flag==='fit'&&(transformValuesRef.translateX===0&&transformValuesRef.translateY===0)||curShowObjData.scaledElements.length===0){disable('fit');$tbCtrl['fit'].addClass('active');}else{enable('fit');$tbCtrl['fit'].removeClass('active');}
isOriginalSizeVar=isOriginalSize();if(isOriginalSizeVar===undefined){disable('original-size');if($tbCtrl['original-size'].hasClass('active')){$tbCtrl['original-size'].removeClass('active');}}else if(isOriginalSizeVar){disable('original-size');if(!$tbCtrl['original-size'].hasClass('active')){$tbCtrl['original-size'].addClass('active');}}else{enable('original-size');if($tbCtrl['original-size'].hasClass('active')){$tbCtrl['original-size'].removeClass('active');}}};var getMediaResolution=function(mediaEl)
{var origWidth,origHeigth;if(!mediaEl){mediaEl=curShowObjData.scaledElements[0];}
if(curShowObjData.scaledElements[0]===imgEl_){origWidth=imgEl_.naturalWidth;origHeigth=imgEl_.naturalHeight;}else{origWidth=curShowObjData.scaledElements[0].videoWidth;origHeigth=curShowObjData.scaledElements[0].videoHeight;}
if(origWidth&&origHeigth){return{'width':origWidth,'height':origHeigth};}else{return false;}};var fitFn=function(evt)
{resetTransform();curShowObjData.scaledElements.forEach(function(el_){el_.style.removeProperty('width');el_.style.removeProperty('height');if($(el_).hasClass('vhcenter')){$(el_).removeClass('vhcenter');}});if(curShowObjData.scaledElements[0]===imgEl_){imgEl_.style.margin='';}
transformValuesRef.flag='fit';if(evt){saveMatrixValues();updateScaleCtrls();}};var originalFn=function(evt)
{var mediaResolution;mediaResolution=getMediaResolution();if(!mediaResolution){return;}
curShowObjData.scaledElements.forEach(function(el_){Css3Transform2d(el_).set({'scale':1},true);if(!$(el_).hasClass('vhcenter')){$(el_).addClass('vhcenter');}
el_.style.width=mediaResolution.width+'px';el_.style.height=mediaResolution.height+'px';});if(curShowObjData.scaledElements[0]===imgEl_){imgEl_.style.margin=0;}
transformValuesRef.flag='original';if(evt){saveMatrixValues();updateScaleCtrls();}};var saveMatrixValues=function(matrix2d)
{if(!matrix2d){matrix2d=Css3Transform2d(curShowObjData.scaledElements[0]);}
transformValuesRef.scaleX=matrix2d.scaleX;transformValuesRef.scaleY=matrix2d.scaleY;transformValuesRef.translateX=matrix2d.translateX;transformValuesRef.translateY=matrix2d.translateY;};var zoomFn=function(evt)
{var offset,targetMatrix,scale;if(evt){offset=(this.classList.contains('content-obj-mtb-zoom-in')?1:-1)*options_.scaleStep;}else{offset=0;}
targetMatrix=Css3Transform2d(curShowObjData.scaledElements[0]);scale=targetMatrix.scaleX+offset;if(scale<=0){scale=options_.scaleStep;}
curShowObjData.scaledElements.forEach(function(el_){Css3Transform2d(el_).set({'scale':scale},true);});if(transformValuesRef.flag==='fit'){transformValuesRef.flag=null;}
if(evt){saveMatrixValues(targetMatrix);updateScaleCtrls();}};var dragMoveListener=function(event)
{var targetMatrix=Css3Transform2d(event.target),tx,ty;tx=(targetMatrix.translateX||0)+event.dx;ty=(targetMatrix.translateY||0)+event.dy;curShowObjData.scaledElements.forEach(function(el_){Css3Transform2d(el_).set({translateX:tx,translateY:ty},true);});targetMatrix.load();if(transformValuesRef.flag==='fit'){transformValuesRef.flag=null;}
saveMatrixValues(targetMatrix);};var resetTransform=function()
{if(transformPropName){curShowObjData.scaledElements.forEach(function(el_){el_.style[transformPropName]='';});}
Object.assign(transformValuesRef,transformValuesDef);};var dataURItoBlob=function(dataURI)
{var data=atob(dataURI.substring('data:image/png;base64,'.length)),asArray=new Uint8Array(data.length),i,len;for(i=0,len=data.length;i<len;i+=1){asArray[i]=data.charCodeAt(i);}
return new Blob([asArray.buffer],{type:'image/png'});};var getSnapshotFn=function()
{var canvas,videoEl,ctx,snapshotDataUrl,newWindow,image,curTime,fname,newDocHtml;if(!curShowObjData.playerObj.paused()){curShowObjData.playerObj.pause();}
videoEl=curShowObjData.scaledElements[0];if(!videoEl||videoEl===imgEl_||!videoEl.videoWidth||!videoEl.videoHeight){return false;}
curTime=curShowObjData.playerObj.currentTime();canvas=document.createElement('canvas');canvas.width=videoEl.videoWidth;canvas.height=videoEl.videoHeight;ctx=canvas.getContext('2d');ctx.drawImage(videoEl,0,0,canvas.width,canvas.height);snapshotDataUrl=canvas.toDataURL('image/png');fname='avreg-cam'+curShowObjData.eventDataRef.CAM_NR
+'-'
+formatUnixTime(curShowObjData.eventDataRef.UDT2+curTime).replace(/[\s:]+/g,'-')
+'.png';if(typeof this.download!=='undefined'){this.href=(URL||webkitURL).createObjectURL(dataURItoBlob(snapshotDataUrl));this.download=fname;}else{newWindow=window.open('',fname,'location=no,toolbar=no,menubar=yes,location=no,scrollbars=yes,status=no');image=new Image();image.src=snapshotDataUrl;image.title=fname;image.download=fname;newDocHtml='<!doctype html><html lang="en"><head><meta charset="utf-8"><title>';newDocHtml+=fname;newDocHtml+='</title></head><body>';newDocHtml+=image.outerHTML;newDocHtml+='</body></html>';newWindow.document.write(newDocHtml);}
return true;};var initTransform=function()
{var playerEl,videoEl,posterEl;if(transformPropName){if(curShowObjData.eventClass==='video'&&curShowObjData.playerObj){playerEl=curShowObjData.playerObj.el();videoEl=playerEl.getElementsByTagName('video')[0];posterEl=playerEl.getElementsByTagName('div')[1];if(videoEl){if(curShowObjData.scaledElements[0]!==videoEl){curShowObjData.scaledElements=[videoEl,posterEl];}}else{curShowObjData.scaledElements=[];}}else if(curShowObjData.eventClass==='snapshot'){if(curShowObjData.scaledElements[0]!==imgEl_){curShowObjData.scaledElements=[imgEl_];}}else{curShowObjData.scaledElements=[];}}else{if(curShowObjData.scaledElements.length){curShowObjData.scaledElements=[];}}};var dragEndListener=function()
{dragEndMonoTime=performance.now();updateScaleCtrls();};var setupInteract=function(el){return interact(el).draggable({autoScroll:false,restrict:{restriction:'parent',endOnly:false,elementRect:{top:0.8,left:0.8,bottom:0.2,right:0.2}},onmove:dragMoveListener,onend:dragEndListener});};var mediaError=function(evt)
{var aka404error=false,e;if(isElement(this)){aka404error=evt.type==='error';}else{e=this.error();aka404error=(e.code===2 ||e.code===3 );}
if(!IS_IOS){if(aka404error){dlFiles.resetDownloadable($tbCtrl['download'].get(0));disable('download');}else{dlFiles.mkDownloadable($tbCtrl['download'].get(0),{camNbr:curShowObjData.eventDataRef.CAM_NR,mediaAlias:getCamArchMediaAlias(curShowObjData.eventDataRef.CAM_NR),relPath:curShowObjData.eventDataRef.EVT_CONT,title:MESSAGES['strDownload']});enable('download');}}};var mediaLoaded=function()
{var transformMatrix,el;el=isElement(this)?this:this.el().getElementsByTagName('video')[0];curShowObjData.eventClass=getEventContentClass(curShowObjData.eventDataRef.EVT_ID);if(curShowObjData.eventClass==='video'&&this.el().getElementsByTagName('video')[0]){enable('snapshot');}
if(!IS_IOS){dlFiles.mkDownloadable($tbCtrl['download'].get(0),{camNbr:curShowObjData.eventDataRef.CAM_NR,mediaAlias:getCamArchMediaAlias(curShowObjData.eventDataRef.CAM_NR),relPath:curShowObjData.eventDataRef.EVT_CONT,title:MESSAGES['strDownload']});enable('download');}
if(curShowObjData.eventClass==='snapshot'){enable(['zoom-in','zoom-out']);}else if(curShowObjData.eventClass==='video'){if(this.techName_==='Html5'){enable(['zoom-in','zoom-out']);}}
transformMatrix=Css3Transform2d(el);transformValuesRef=getCamTransform(curShowObjData.eventDataRef.CAM_NR);if(transformMatrix.scaleX!==transformValuesRef.flag||isMediaClassChangedNow){if(transformValuesRef.flag==='fit'){fitFn(false);}else if(transformValuesRef.flag==='original'){originalFn(false);}else if(!isMediaClassChangedNow){zoomFn(false);}
transformMatrix=Css3Transform2d(el);}
if(transformMatrix.translateX!==transformValuesRef.translateX||transformMatrix.translateY!==transformValuesRef.translateY){curShowObjData.scaledElements.forEach(function(el_){Css3Transform2d(el_).set({'translateX':transformValuesRef.translateX,'translateY':transformValuesRef.translateY},true);});}
saveMatrixValues();updateScaleCtrls();};var onWheelCbk=function($evt)
{var deltaY;if(curShowObjData.mediaEvent&&!$tbCtrl['zoom-in'].prop('disabled')){$evt.stopPropagation();deltaY=$evt.originalEvent.deltaY;if(deltaY>0){$tbCtrl['zoom-out'].trigger('click');}else{$tbCtrl['zoom-in'].trigger('click');}}};var playerKeyboardEventCbk=function(evt)
{if(evt.type==='keyup'&&evt.code==='Space'&&!(evt.target instanceof HTMLButtonElement)){evt.stopPropagation();if(this.paused()){this.play();}else{this.pause();}}};var playerMouseEventCbk=function(evt)
{var t;if(evt.button!==0){return;}
t=performance.now();if(dragEndMonoTime&&(t-dragEndMonoTime<500 )){return;}
if(this.controls()){if(this.paused()){this.play();}else{this.pause();}}};MediaToolbar.init=function(mediaContainer,toolbarContainer,imgEl,options)
{var tbContainer,$tbContainer;options_=Object.assign(defaults_,options||{});tbContainer=sanityEl(toolbarContainer);if(!tbContainer){throw new Error('Invalid argument toolbar '+toolbar);}
$tbContainer=$(tbContainer);$mtbContainer=$('.'+options_.classPref,$tbContainer);if(!$mtbContainer.get(0)){throw new Error('Do not have a media toolbar container');}
imgEl_=imgEl;$imgEl=$(imgEl_);['transform','WebkitTransform','MozTransform','msTransform','OTransform'].forEach(function(prop){if(!transformPropName&&typeof imgEl_.style[prop]!=='undefined'){transformPropName=prop;}});allCtrlNames.forEach(function(ctrlName){$tbCtrl[ctrlName]=$('.'+options_.classPref+'-'+ctrlName,$mtbContainer);});$tbCtrl['fit'].on('click',fitFn);if(transformPropName){$tbCtrl['original-size'].on('click',originalFn);$tbCtrl['zoom-in'].on('click',zoomFn);$tbCtrl['zoom-out'].on('click',zoomFn);$tbContainer.on('wheel',onWheelCbk);$(mediaContainer).on('wheel',onWheelCbk);}
if(IS_IOS){$tbCtrl['download'].hide();$tbCtrl['snapshot'];}else{$tbCtrl['snapshot'].on('click',getSnapshotFn);}
setupInteract(imgEl);$imgEl.on('load',mediaLoaded);$imgEl.on('error abort',mediaError);};MediaToolbar.update=function(videojsPlayer,eventData,showOpts)
{var oldClass=curShowObjData.eventClass;curShowObjData.eventDataRef=eventData;curShowObjData.eventClass=getEventContentClass(eventData.EVT_ID);isMediaClassChangedNow=(oldClass!==curShowObjData.eventClass);curShowObjData.mediaEvent=isMediaEvent(eventData.EVT_ID);curShowObjData.playerObj=videojsPlayer;if(curShowObjData.mediaEvent&&showOpts.embedMedia){initTransform();disable(allCtrlNames);allCtrlNames.forEach(function(n){$tbCtrl[n].removeClass('active');});dlFiles.resetDownloadable($tbCtrl['download'].get(0));$mtbContainer.hasClass('hidden')&&$mtbContainer.removeClass('hidden');}else{$mtbContainer.hasClass('hidden')||$mtbContainer.addClass('hidden');}};MediaToolbar.playerBeforeDispose=function(videojsPlayer)
{var tech;tech=videojsPlayer.tech({'IWillNotUseThisInPlugins':true});if(videoPlayerInteract){videoPlayerInteract.unset();videoPlayerInteract=null;}
videojsPlayer.off('loadedmetadata',mediaLoaded);videojsPlayer.off('error',mediaError);if(tech.name_==='Html5'){videojsPlayer.off(tech,'click',playerMouseEventCbk);}
videojsPlayer.off('keyup',playerKeyboardEventCbk);curShowObjData.playerObj=null;};MediaToolbar.playerReady=function(videojsPlayer)
{var videoEl;videoEl=videojsPlayer.el().getElementsByTagName('video')[0];if(videoEl){videojsPlayer.off(videojsPlayer.tech_,'mousedown',videojsPlayer.handleTechClick_);videojsPlayer.on(videojsPlayer.tech_,'click',playerMouseEventCbk);videoPlayerInteract=setupInteract(videoEl);}
videojsPlayer.on('loadedmetadata',mediaLoaded);videojsPlayer.on('error',mediaError);videojsPlayer.on('keyup',playerKeyboardEventCbk);};return MediaToolbar;});
