<?php
/**
 * Copyright (C) 2004-2021 "Setevye informacionnye sistemy", Ltd (Russia)
 *                          en: "Network Information Systems"
 */
/**
 *
 * @file offline/search/template/playlist-toolbar.inc.php
 * @brief HTML темплейт тулбара плейлиста
 */

?>
<div class="btn-group">
    <div id="dl-check-all-container" class="btn btn-default disabled"
        title="<?php echo $strSelectAll; ?>">
        <input id="opt-download-check-all" class="btn btn-default" type="checkbox" disabled>
    </div>
</div>

<div class="btn-group">
    <button type="button" class="pl-head btn btn-default"
        title="<?php echo $strPlaylistToHead; ?>">
        <span class="glyphicon glyphicon-fast-backward"></span>
    </button>

    <button type="button" class="pl-backward btn btn-default"
        title="<?php echo $strPlaylistPrev; ?>">
        <span class="glyphicon glyphicon-backward"></span>
    </button>

    <button type="button" class="pl-forward btn btn-default"
        title="<?php echo $strPlaylistNext; ?>">
        <span class="glyphicon glyphicon-forward"></span>
    </button>

    <button type="button" class="pl-tail btn btn-default"
        title="<?php echo $strPlaylistToTail; ?>">
        <span class="glyphicon glyphicon-fast-forward"></span>
    </button>
</div>

<div class="btn-group pull-right">
    <button type="button" class="pl-play-backward btn btn-default"
        title="<?php echo $strPlaylistPlayBackward; ?>">
        <span class="glyphicon glyphicon-play flipped"></span>
    </button>

    <button type="button" class="pl-play-stop btn btn-default"
        title="<?php echo $strPlaylistStop; ?>">
        <span class="glyphicon glyphicon-stop"></span>
    </button>

    <button type="button" class="pl-play-forward btn btn-default"
        title="<?php echo $strPlaylistPlayForward; ?>">
        <span class="glyphicon glyphicon-play"></span>
    </button>
</div>
