/**
 * Copyright (C) 2004-2021 "Setevye informacionnye sistemy", Ltd (Russia)
 *                          en: "Network Information Systems"
 */
function BrowserLimit(options)
{if(!(this instanceof BrowserLimit)){return new BrowserLimit(options);}
this.limits={total:undefined,perOrigins:6};if(IS_MOBILE){this.limits.total=10;}else if(EDGE){this.limits.total=10;this.limits.perOrigins=10;}
this._origins={};this._total=0;}
BrowserLimit.prototype._normalize=function(hostname,port){return hostname.replace(/[\.-]/g,'_')+'_'+port;};BrowserLimit.prototype._push=function(uri_str){var
uri,hostnameNorm;uri=new URI(uri_str);hostnameNorm=this._normalize(uri.hostname(),uri.port());if(this._origins[hostnameNorm]===undefined){this._origins[hostnameNorm]=0;}
if(this.limits.perOrigins&&this._origins[hostnameNorm]>=this.limits.perOrigins){throw{name:'Browser Limit',message:'Connections per origin limit happened ('+this.limits.perOrigins+').',htmlMessage:function(){return'<span>'+this.message+
' Read the <a href="http://avreg.net/faq.html" target="_blank;">FAQ/Q6</a>.</span>';},toString:function(){return this.name+': '+this.message;}};}
if(this.limits.total&&this._total>=this.limits.total){throw{name:'Browser Limit',message:'Total connections limit happened ('+this.limits.total+').',htmlMessage:function(){return this.message+
' Read the <a href="http://avreg.net/faq.html target="_blank;"">FAQ/Q6</a>.';},toString:function(){return this.name+': '+this.message;}};}
this._origins[hostnameNorm]++;this._total++;};BrowserLimit.prototype.push=function(urls_obj){if(!WEBKIT&&!GECKO&&!EDGE){return;}
if(urls_obj.cell&&urls_obj.cell.urls.stream&&urls_obj.cell.urls.stream.indexOf('http')===0){this._push(urls_obj.cell.urls.stream);}
if(urls_obj.fs&&urls_obj.fs.urls.stream&&urls_obj.fs.urls.stream.indexOf('http')===0&&urls_obj.fs.is_avregd_cam===false&&urls_obj.fs.urls.stream!==urls_obj.cell.urls.stream){this._push(urls_obj.fs.urls.stream);}};
