/**
 * Copyright (C) 2004-2021 "Setevye informacionnye sistemy", Ltd (Russia)
 *                          en: "Network Information Systems"
 */
var OnvifPTZControls=function($container,cameraNumber,cameraData){'use strict';var self=this;var incDecMoreStep=10,incDecStep=40,pollingTimeout=700,moveDebounceTimeout=150,maxConnectionTries=3,lsKeySettings='avreg-ptz-settings';var featureSupport={onvif:{preset:true,home:true,speedControl:true,moveTypes:['moveAbsolute','moveContinuous']},axis:{preset:false,home:true,speedControl:false,moveTypes:['moveAbsolute']}};var defaultSliderOptions={min:-1,max:1,step:0.000001};var coordSpaces,speedSpaces;var __lastPosition={},__pollInterval,__ui_enabled=true;this.state=null;this.moveType=null;var states={'initial':{name:'initial',connectionTries:0,reconnect:function(){if(states.initial.connectionTries++<maxConnectionTries){transitionTo(states.initial);}else{alert('Не удается подключиться к камере. Проверьте правильность настроек ONVIF: \n'
+'- Имя пользователя и пароль \n'
+'- Выбранный медиа-профиль \n');}},enter:function(){setControlsEnableState(false);setupCoordSpaces().done(function(){$.when(updatePresets(),updatePosition()).done(function(){states.initial.connectionTries=0;transitionTo(self.moveType==='moveAbsolute'?states.polling:states.input);}).fail(function(){states.initial.reconnect();});}).fail(function(){states.initial.reconnect();});},exit:function(){}},'polling':{name:'polling',enter:function(){setControlsEnableState(true);var __jqXhrPoll;var poller=function(){if(self.state===states.polling&&(!__jqXhrPoll||__jqXhrPoll.state()!=='pending')){__jqXhrPoll=updatePosition();}};poller();__pollInterval=setInterval(poller,pollingTimeout);},exit:function(){clearInterval(__pollInterval);}},'input':{name:'input',enter:function(){setControlsEnableState(true);},exit:function(){}},'locked':{name:'locked',enter:function(){setControlsEnableState(false);},exit:function(){setControlsEnableState(true);}},'action':{name:'action',enter:function(){var
moveType=$moveTypesSelect.find('option:selected').attr('id');if(moveType!=='moveContinuous'){setControlsEnableState(false);}
__lastPosition=getSlidersPosition();},exit:function(){}.bind(this)}};this.transitionTo=function(state){if(state===this.state){return;}
this.state&&this.state.exit&&this.state.exit();this.__oldState=this.state;this.state=state;this.state.enter();};var transitionTo=this.transitionTo.bind(this);var transitionBack=function(){this.transitionTo(this.__oldState);}.bind(this);var move=$.debounce(doMove,moveDebounceTimeout);var $ptzBottomArea=$container.find('.ptz_area_bottom'),$ptzRightArea=$container.find('.ptz_area_right'),rightAreaMinWidth=100;var doLayout=function(){$ptzBottomArea.css('top',0);if($ptzBottomArea.position().top+$ptzBottomArea.outerHeight()>$container.outerHeight()){$ptzBottomArea.css('top',$container.outerHeight()-$ptzBottomArea.position().top-$ptzBottomArea.outerHeight()+'px');$ptzBottomArea.css('opacity',0.9);}else{$ptzBottomArea.css('opacity',1);}
if($ptzRightArea.width()<rightAreaMinWidth){$ptzRightArea.addClass('tooSmall');}else{$ptzRightArea.removeClass('tooSmall');}};$(window).on('nozoomresize geometrychange',doLayout);doLayout();$container.find('.ptz_area_right, .ptz_area_bottom').on('click',function(e){e.stopPropagation();});var $zoomSlider=$container.find('#ptzZoomSlider').slider($.extend({},defaultSliderOptions)),$panSlider=$container.find('#ptzPanSlider').slider($.extend({},defaultSliderOptions)),$tiltSlider=$container.find('#ptzTiltSlider').slider($.extend({},defaultSliderOptions));var onSliderChange=function(e){var
$slider=$(e.currentTarget),settings;if(!$slider.prop('disabled')&&self.state!==states.action&&self.state!==states.locked){transitionTo(states.input);settings=getSettings();move('moveAbsolute',$.extend({speedPan:settings['speedPan'],speedTilt:settings['speedTilt'],speedZoom:settings['speedZoom']},getSlidersPosition()));}};$zoomSlider.on('slidechange',onSliderChange);$panSlider.on('slidechange',onSliderChange);$tiltSlider.on('slidechange',onSliderChange);var $tiltDec=$container.find('.ptzSliderTilt .ptzDecrease').data('component','tilt').data('action','dec'),$tiltDecMore=$container.find('.ptzSliderTilt .ptzDecreaseMore').data('component','tilt').data('action','dec').data('mult','more'),$tiltInc=$container.find('.ptzSliderTilt .ptzIncrease').data('component','tilt').data('action','inc'),$tiltIncMore=$container.find('.ptzSliderTilt .ptzIncreaseMore').data('component','tilt').data('action','inc').data('mult','more'),$panDec=$container.find('.ptzSliderPan .ptzDecrease').data('component','pan').data('action','dec'),$panDecMore=$container.find('.ptzSliderPan .ptzDecreaseMore').data('component','pan').data('action','dec').data('mult','more'),$panInc=$container.find('.ptzSliderPan .ptzIncrease').data('component','pan').data('action','inc'),$panIncMore=$container.find('.ptzSliderPan .ptzIncreaseMore').data('component','pan').data('action','inc').data('mult','more'),$zoomInc=$container.find('.ptzSliderZoom .ptzIncrease').data('component','zoom').data('action','inc'),$zoomIncMore=$container.find('.ptzSliderZoom .ptzIncreaseMore').data('component','zoom').data('action','inc').data('mult','more'),$zoomDec=$container.find('.ptzSliderZoom .ptzDecrease').data('component','zoom').data('action','dec'),$zoomDecMore=$container.find('.ptzSliderZoom .ptzDecreaseMore').data('component','zoom').data('action','dec').data('mult','more');var incDecButtons=[$tiltInc,$tiltDec,$panDec,$panInc,$zoomDec,$zoomInc,$tiltDecMore,$tiltIncMore,$panDecMore,$panIncMore,$zoomIncMore,$zoomDecMore];var $moveStop=$container.find('.moveStop');$moveStop.on('click',function(){self.transitionTo(states.action);moveStop().always(function(){self.transitionTo(self.moveType==='moveAbsolute'?states.polling:states.input);});});var $presets=$container.find('.ptzPresets'),tplPresetHome=$presets.find('.homePreset')[0].outerHTML,tplPresetNormal=$presets.find('.normalPreset')[0].outerHTML;$presets.empty();$ptzRightArea.on('click','.normalPreset .presetName',function(e){var preset=$(e.currentTarget).parents('.preset');gotoPreset(preset.data('token'),preset.data('position'));}).on('click','.normalPreset .presetRemove',function(e){var
$presetEl=$(e.currentTarget).parents('.preset'),presetToken=$presetEl.data('token'),presetName=$presetEl.data('name');if(self.state===states.action){return;}
if(confirm('Действительно удалить пресет "'+presetName+'"?')){transitionTo(states.action);removePreset(presetToken).done(function(){updatePresets();}).always(function(){transitionTo(self.moveType==='moveAbsolute'?states.polling:states.input);});}}).on('click','.presetAdd',function(e){if(self.state===states.action){return;}
var presetName=prompt('Имя нового пресета');if(presetName){transitionTo(states.action);setPreset(presetName).done(function(){updatePresets();}).always(function(){transitionTo(self.moveType==='moveAbsolute'?states.polling:states.input);});}});$ptzRightArea.on('click','.homePreset .presetSetHome',function(e){if(self.state===states.action){return;}
transitionTo(states.action);setHomePreset().done(function(){updatePresets();}).always(function(){transitionTo(self.moveType==='moveAbsolute'?states.polling:states.input);});}).on('click','.homePreset .presetName',function(e){if(self.state===states.action){return;}
transitionTo(states.action);gotoHomePreset().always(function(){transitionTo(self.moveType==='moveAbsolute'?states.polling:states.input);});});var $settingsModal=$container.find('.modal-onvif-ptz-settings').detach().appendTo('body').jqm(),$stPanSpeedSlider,$stTiltSpeedSlider,$stZoomSpeedSlider;if(!isSupported('speedControl')){$container.find('.settingsShow').hide();}
$container.find('.settingsShow').on('click',function(){if(!$settingsModal.data('initialized')){$stPanSpeedSlider=$settingsModal.find('.modal-ptz-speed-pan').slider($.extend({},defaultSliderOptions,{min:speedSpaces.pan.min,max:speedSpaces.pan.max}));$stTiltSpeedSlider=$settingsModal.find('.modal-ptz-speed-tilt').slider($.extend({},defaultSliderOptions,{min:speedSpaces.tilt.min,max:speedSpaces.tilt.max}));$stZoomSpeedSlider=$settingsModal.find('.modal-ptz-speed-zoom').slider($.extend({},defaultSliderOptions,{min:speedSpaces.zoom.min,max:speedSpaces.zoom.max}));$settingsModal.data('initialized',true);}
var settings=getSettings();$stPanSpeedSlider.slider('value',typeof settings.speedPan!=='undefined'?settings.speedPan:speedSpaces.pan.max/2);$stTiltSpeedSlider.slider('value',typeof settings.speedTilt!=='undefined'?settings.speedTilt:speedSpaces.tilt.max/2);$stZoomSpeedSlider.slider('value',typeof settings.speedZoom!=='undefined'?settings.speedZoom:speedSpaces.zoom.max/2);$settingsModal.jqmShow();});var allowMoveTypes=getSupportValue('moveTypes')||{};var $moveTypesSelect=$container.find('#moveTypes');var __st=getSettings();var __curMoveType,__needMoveType;__curMoveType=$moveTypesSelect.find('option:selected').attr('id');$moveTypesSelect.change(function(){var
$optionSelected=$(this).find('option:selected'),moveType=$optionSelected.attr('id');onChangeMoveType(moveType,false);});$moveTypesSelect.find('option').each(function(){if(allowMoveTypes.indexOf(this.id)===-1){this.disabled=true;}else{if(__st['moveType']===this.id){__needMoveType=this.id;}}});if(__needMoveType&&__curMoveType!==__needMoveType){$moveTypesSelect.find('option#'+__needMoveType).prop('selected',true);__curMoveType=__needMoveType;}
onChangeMoveType(__curMoveType,true);function getSettings()
{var settings;try{settings=JSON.parse(localStorage.getItem(lsKeySettings))||{};}catch(e){settings={};}
return settings['cam'+cameraNumber]||{};}
function updateSettings(data)
{var
settings,key;try{settings=JSON.parse(localStorage.getItem(lsKeySettings));}catch(e){settings={};}
settings=settings||{};key='cam'+cameraNumber;if(settings[key]===undefined){settings[key]={};}
if(localStorage){$.extend(settings[key],data);localStorage.setItem(lsKeySettings,JSON.stringify(settings));}else{alert('LocalStorage is not supported');}}
$settingsModal.on('click','.settings-save',function(){updateSettings({speedPan:$stPanSpeedSlider.slider('value'),speedTilt:$stTiltSpeedSlider.slider('value'),speedZoom:$stZoomSpeedSlider.slider('value')});$settingsModal.jqmHide();});transitionTo(states.initial);function isSupported(feature,value)
{var futureConf=featureSupport[cameraData['ptz']];switch(typeof(futureConf[feature])){case'boolean':if(typeof(value)==='undefined'){value=true;}
return(futureConf[feature]===value);case'string':if(typeof(value)==='undefined'){value='';}
return(futureConf[feature]===value);case'object':return(futureConf.indexOf[value]!==-1);default:alert('Invalid feature "'+feature+'"');break;}}
function getSupportValue(feature)
{return featureSupport[cameraData['ptz']][feature];}
function getAjaxEndpoint()
{return WwwPrefix+'/lib/PtzControllers/'+cameraData['ptz']+'.php';}
function setupCoordSpaces()
{return getCoordSpaces().done(function(response){coordSpaces=response['coordSpaces'];speedSpaces=response['speedSpaces'];$zoomSlider.slider('option',{min:coordSpaces.zoom.min,max:coordSpaces.zoom.max});$panSlider.slider('option',{min:coordSpaces.pan.min,max:coordSpaces.pan.max});$tiltSlider.slider('option',{min:coordSpaces.tilt.min,max:coordSpaces.tilt.max});});}
function updatePosition()
{return getStatus().done(function(response){if(self.state===states.input||self.state===states.action){return;}
setSlidersPosition({zoom:response['position']['zoom'],pan:response['position']['pan'],tilt:response['position']['tilt']});});}
function updatePresets()
{$presets.empty();if(isSupported('home')){$presets.append($(tplPresetHome));}
if(isSupported('preset')){return getPresets().done(function(response){for(var i=0,I=response.length;i<I;i++){var presetData=response[i],$preset=$(tplPresetNormal.replace(/\$name/g,presetData['name']));$preset.data('position',{zoom:presetData['position']['zoom'],pan:presetData['position']['pan'],tilt:presetData['position']['tilt']}).data('token',presetData['token']).appendTo($presets);}});}else{return(new $.Deferred()).resolve();}}
function getCoordSpaces()
{return $.ajax({type:'POST',url:getAjaxEndpoint(),data:{method:'getPtzSpaces',data:{cameraNumber:cameraNumber}},dataType:'json'});}
function getStatus()
{return $.ajax({type:'POST',url:getAjaxEndpoint(),data:{method:'getPtzStatus',data:{cameraNumber:cameraNumber}},dataType:'json'});}
function getPresets()
{return $.ajax({type:'POST',url:getAjaxEndpoint(),data:{method:'getPtzPresets',data:{cameraNumber:cameraNumber}},dataType:'json'});}
function doMove(type,data)
{var
jqXhr;if(self.state===states.action){return;}
transitionTo(states.action);$moveStop.prop('disabled',false);jqXhr=$.ajax({'type':'POST','url':getAjaxEndpoint(),'data':{'method':type,'data':$.extend({'cameraNumber':cameraNumber},data)},'dataType':'json'});jqXhr.fail(function(){setSlidersPosition(__lastPosition);}).always(function(){transitionTo(self.moveType==='moveAbsolute'?states.polling:states.input);});}
function gotoPreset(presetToken,presetPosition)
{if(self.state===states.action){return;}
transitionTo(states.action);$moveStop.prop('disabled',false);var settings=getSettings();var jqXhr=$.ajax({type:'POST',url:getAjaxEndpoint(),data:{method:'gotoPreset',data:{cameraNumber:cameraNumber,presetToken:presetToken,speedPan:settings['speedPan'],speedTilt:settings['speedTilt'],speedZoom:settings['speedZoom']}},dataType:'json'});jqXhr.done(function(response){}).always(function(){transitionTo(self.moveType==='moveAbsolute'?states.polling:states.input);});}
function gotoHomePreset()
{var settings=getSettings();return $.ajax({type:'POST',url:getAjaxEndpoint(),data:{method:'gotoHomePosition',data:{cameraNumber:cameraNumber,speedPan:settings['speedPan'],speedTilt:settings['speedTilt'],speedZoom:settings['speedZoom']}},dataType:'json'});}
function setHomePreset()
{return $.ajax({type:'POST',url:getAjaxEndpoint(),data:{method:'setHomePosition',data:{cameraNumber:cameraNumber}},dataType:'json'});}
function setPreset(presetName)
{return $.ajax({type:'POST',url:getAjaxEndpoint(),data:{method:'setPreset',data:{cameraNumber:cameraNumber,presetName:presetName}},dataType:'json'});}
function removePreset(presetToken)
{return $.ajax({type:'POST',url:getAjaxEndpoint(),data:{method:'removePreset',data:{cameraNumber:cameraNumber,presetToken:presetToken}},dataType:'json'});}
function moveStop()
{return $.ajax({type:'POST',url:getAjaxEndpoint(),data:{method:'moveStop',data:{cameraNumber:cameraNumber}},dataType:'json'});}
function setControlsEnableState(enabled)
{if(__ui_enabled===enabled){return;}
$zoomSlider.prop('disabled',!enabled);$panSlider.prop('disabled',!enabled);$tiltSlider.prop('disabled',!enabled);$.each(incDecButtons,function(i,$button){$button.prop('disabled',!enabled);});$container.find('.settingsShow').prop('disabled',!enabled);$container.find('.presetAdd').prop('disabled',!enabled);$moveStop.prop('disabled',!enabled);$presets.find('input[type=button]').each(function(index,input){$(input).prop('disabled',!enabled);});__ui_enabled=enabled;}
function onChangeMoveType(moveType,initially)
{switch(moveType){case'moveAbsolute':[$zoomSlider,$panSlider,$tiltSlider].forEach(function($slider){$slider.show();});$.each(incDecButtons,function(i,$button){$button.off().on('click',function(e){var
settings=getSettings(),moveType=$moveTypesSelect.find('option:selected').attr('id'),cmp=$button.data('component'),mult=$button.data('action')==='dec'?-1:1,$slider=cmp==='tilt'?$tiltSlider:cmp==='pan'?$panSlider:cmp==='zoom'?$zoomSlider:null;$slider.slider('value',$slider.slider('value')+mult*(coordSpaces[cmp].max-coordSpaces[cmp].min)/
($button.data('mult')==='more'?incDecMoreStep:incDecStep));});});break;case'moveRelative':return;break;case'moveContinuous':[$zoomSlider,$panSlider,$tiltSlider].forEach(function($slider){$slider.hide();});$.each(incDecButtons,function(i,$button){$button.off().on('mousedown',function(e){var
settings=getSettings(),cmp=$button.data('component'),mult=$button.data('action')==='dec'?-1:1,o={},compSpeedName='speed'+cmp.capitalizeFirstLetter(),speedValue;speedValue=settings[compSpeedName]||0.5;o[compSpeedName]=speedValue*(($button.data('mult')==='more')?mult:(mult/2));move('moveContinuous',o);}).on('mouseup',function(e){$moveStop.click();});});break;}
if(!initially){updateSettings({'moveType':moveType});transitionTo(moveType==='moveAbsolute'?states.polling:states.input);}
self.moveType=moveType;}
function getSlidersPosition()
{return{zoom:$zoomSlider.slider('value'),pan:$panSlider.slider('value'),tilt:$tiltSlider.slider('value')};}
function setSlidersPosition(position)
{setControlsEnableState(false);position.zoom&&$zoomSlider.slider('option','value',position.zoom);position.pan&&$panSlider.slider('option','value',position.pan);position.tilt&&$tiltSlider.slider('option','value',position.tilt);setControlsEnableState(true);}
this.destruct=function(){this.state.exit();$settingsModal.remove();$settingsModal=null;};};
